import { jsx } from "react/jsx-runtime";
import { TokenSAITO as TokenSAITO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSAITO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SAITO", "data-name": "TokenSAITO", ...props, children: /* @__PURE__ */ jsx(TokenSAITO$1, { variant }) });
  }
);
TokenSAITO.displayName = "TokenSAITO";
Object.assign(TokenSAITO, { isGdsIcon: true });
export {
  TokenSAITO
};
